Automations · Workflows
Starts an API-triggered workflow.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the messages resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
workflowIdrequired | string |
Request body
application/json, required
conversationIdstringcontactIdstringtostringvariablesobject
Example
curl -X POST "https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/trigger" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"conversationId": "6e525f3820fc636aa96d2ee9",
"contactId": "642d31f43531ce7d44aa5013",
"to": "+14155550123",
"variables": {}
}'const res = await fetch("https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/trigger", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
conversationId: "6e525f3820fc636aa96d2ee9",
contactId: "642d31f43531ce7d44aa5013",
to: "+14155550123",
variables: {}
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/workflows/6e299f518f373bfd669857c4/trigger",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"conversationId": "6e525f3820fc636aa96d2ee9",
"contactId": "642d31f43531ce7d44aa5013",
"to": "+14155550123",
"variables": {},
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
executionIdstringrequired
201 response
{
"executionId": "6c1d5173be24d1f9e4e6f57f"
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Workflows
GETList workflowsPOSTCreate workflowGETGet workflow with graphPATCHUpdate workflowDELDelete workflowPOSTActivate workflowPOSTPause workflowGETList workflow runsPOSTManually start a workflow runGETGet an execution's timelinePOSTDuplicate a workflowGETList a workflow's version historyGETGet a specific workflow versionPOSTRestore a workflow version